### Enumeration

# Soup WebsocketState

#### Declaration

    enum Soup.WebsocketState

#### Description [src]

The state of the WebSocket connection.

#### Members

Name | Description
--- | ---
`SOUP_WEBSOCKET_STATE_OPEN` | The connection is ready to send messages.
`SOUP_WEBSOCKET_STATE_CLOSING` | The connection is in the process of closing down; messages may be received, but not sent.
`SOUP_WEBSOCKET_STATE_CLOSED` | The connection is completely closed down.